diff -u atom4-4.1/debian/changelog atom4-4.1/debian/changelog
--- atom4-4.1/debian/changelog
+++ atom4-4.1/debian/changelog
@@ -1,3 +1,11 @@
+atom4 (4.1-5.1) unstable; urgency=medium
+
+  * Non-maintainer upload.
+    - Dont ignore write return value to fix FTBFS. Thanks Tarun kumar mall
+      for the patch! Closes: #617839 and also LP: #776746
+
+ -- Bhavani Shankar <bhavi@ubuntu.com>  Fri, 17 Jun 2011 22:46:56 +0200
+
 atom4 (4.1-5) unstable; urgency=low
 
   * Update debhelper compatibility to 8.
only in patch2:
unchanged:
--- atom4-4.1.orig/engine/ai.cc
+++ atom4-4.1/engine/ai.cc
@@ -8,6 +8,7 @@
 
 #include <sys/types.h>
 #include <sys/wait.h>
+#include <assert.h>
 
 #include <stdlib.h>
 #include "ai.h"
@@ -224,9 +225,12 @@
 #endif //DEBUG_AI
 
   // Send move back to parent process
-  write(fd, &m.x, sizeof(m.x));
-  write(fd, &m.y, sizeof(m.y));
-
+  ssize_t unused_x;
+  ssize_t unused_y;
+  unused_x=write(fd, &m.x, sizeof(m.x));
+  unused_y=write(fd, &m.y, sizeof(m.y));
+  assert (unused_x > 0);
+  assert (unused_y > 0);
 #ifdef PROFILE_AI
   _mcleanup();
 #endif //PROFILE_AI
